package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.po.app.AppQuartzConfig;

import java.util.List;

public interface AppQuartzConfigService extends IService<AppQuartzConfig> {

    List<AppQuartzConfig> queryAll();
    AppQuartzConfig queryByClassName(String className); // 根据类名查找
    List<AppQuartzConfig> queryIndistinct(String className, String jobDesc);
    Boolean exist(String className); // 判断是否存在
    int insert(AppQuartzConfig appQuartzConfig); // 插入一条数据
    int delete(String className); // 删除数据
    int update(AppQuartzConfig appQuartzConfig);


}
